# Update parent-level limit warning settings for an account

Updates the alert channels and warning thresholds used across all limits belonging to a parent account. Only a parent account may update these settings.

Endpoint: PUT /v2/thresholds/limits-primary
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Request fields (application/json):

  - `alert_channels` (array, required)
    A list of alert channels to notify.

  - `warning_perc_one` (integer)
    The percentage of the limit at which a warning will be sent given as an integer 1-99. Defaults to 50

  - `warning_perc_two` (integer)
    The percentage of the limit at which a second warning will be sent given as an integer 1-99. Defaults to 75

## Request examples:

  - `Example` (unknown)

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `created_at` (string, required)

  - `last_checked` (string)

  - `next_check` (string)

  - `updated_at` (string)

  - `watch_interval` (string)

  - `comparator` (string, required)

  - `account_group` (string)

  - `subaccount_id` (string)

  - `parent_account_id` (string)

  - `id` (string)

  - `description` (string)

  - `metric` (string, required)

  - `limit` (string, required)

  - `name` (string, required)

  - `dimension` (string, required)

  - `period` (string)

  - `warning_perc_two` (string)

  - `warning_perc_one` (string)

  - `alert_channels` (array)

  - `filters` (array)

  - `filters.dimension` (string, required)

  - `filters.comparator` (string, required)

  - `filters.values` (array, required)

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404:

  - `404` (unknown)
    A 404 response

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response default:

  - `default` (unknown)
    A default response

## Response default fields (application/json):

  - `message` (string, required)
    Response message

## Response 200 examples:

  - `Example` (unknown)

